Loading...
Searching...
No Matches
helpers.h File Reference
`#include "arc/std/parser.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Functions

void | ARC_ParserData_HelperRecurseStringAdd (ARC_String **data, ARC_ParserTagToken *tagToken)
| recurses through a tag token adding token strings to a main string

## Function Documentation

## ARC_ParserData_HelperRecurseStringAdd()

void ARC_ParserData_HelperRecurseStringAdd | ( | ARC_String ** | data,
|  | ARC_ParserTagToken * | tagToken )

recurses through a tag token adding token strings to a main string

Note
  the string needs to be created otherwise this will break
  this will only add tokens that have data

Parameters

  | [in/out] | data
  [in] | tagToken | the tag token to recurse through